Function
build
Create FaiIndex from FASTA file.
The index can later be written out with write and be loaded again using read.
build(faiIndex, fastaFilename[, faiFilename])
Include Headers
seqan/stream.h
Parameters

faiIndex | FaiIndex to write index to. Types: FaiIndex
fastaFilename | Name of FASTA file to build an index for. Types: CharString
faiFilename | Name of FAI index file, stored in faiIndex. Optional. Types: char const * Default: fastaFilename + ".fai"

Return Values
int, equal to 0 on success, != 0 otherwise.
Member of
FaiIndex
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57